// import file outside of widget
@import "../base/Variables.scss";

// navbar Nav css section
#navbarNav {
  width: 100%;

  @include breakpoint(mobile){
    margin:0;
  }
} // end of Nav css section

// header css section
.header {
  .nav-item {
    @include breakpoint(tablet){
      display:none;

      &.header__logo {
        display:block;
        padding:0!important;
        width: auto;
      }
    }
  }

  .nav-link {
    @include breakpoint(mobile){
      padding:0;
    }
  }

  .header__tool {
    color: #040303;
    font-size: 12px;
    align-items: center;
    min-height: 40px;
    justify-content: space-evenly;
  }
  .header__caption {
    font-family: "GothamRounded-Medium";
    font-size: 15px;
    color: #040303;
    font-weight: 300;
  }
  .navbar {
    color: black;
    // background-color: white;
  }
  .header__search {
    color: black;
    display: block;
    align-items: center;
    flex-flow: row;

    .live-search {
      outline:none;
      border:1px solid #ced4da!important;
    }

    .header__search-submit {
      background: url('../images/icons/loop-search.svg') no-repeat;
      width:30px;
    height:40px;
      background-size:cover;
      appearance:none;
      border:none;
      outline:none;
    }
  }
  .header__dropdown {
    text-align: center;
    align-content: center;
  }
} // end of header css section

// site header css section
.header-result {
  > .row {
    margin:0;
    width: 100%;
  }
    .close-query-icon{
      position: absolute;
      right: 10px;
      bottom: 15px;
      cursor: pointer;
      display: none;
    }
}

#site-header {
  @include breakpoint (mobile){
    padding: 8px 0px 0px 0px;
  }
  padding-bottom:0;
  > .header {
    z-index:3;
  }

  &:before {
    position:absolute;
    background:#fff;
    width:100%;
    height:55px;
    top:0;
    left:0;
    content:"";
  }

  &:after {
    position: absolute;
    background: #fff;
    border-radius: 100%;
    top: 30px;
    left: 50%;
    content: "";
    width: 104%;
    z-index: -1;
    height: 50px;
    box-shadow: 0 8px 6px -6px rgba(0,0,0,.2);
    margin-left: -52%;

    @include breakpoint(mobile){
      top: 20px;
      width: 120%;
      left: 50%;
      margin-left: -60%;
    }
   
  }
  .header-result{
    &:after {
      position: absolute;
      background: #fff;
      border-radius: 100%;
      top: 23px;
      @include breakpoint(mobile){
        top: 20px;
      }
      left: 0;
      content: "";
      width: 100%;
      z-index: -1;
      height: 50px;
    }
  }
} // end of site header css section


// hamburger menu css section 
.hamburger-menu__lists{
    background-color: $white-nutri;
    width: 100%;
    z-index: 9999;
    height: 100%;
    top:0;
    overflow-y: auto;
    
    .hamburger-menu__header{
      background-color: $blue-younger-nutri;
      h3{
        padding: 15px 0px 0px 0px;
        color: $bluesky-nutri;
        font-family: "GothamRounded-Medium";
        @include breakpoint (mobile){
          text-align: center;
        }
      }
    }
    // for .hamburger-menu__lists-item
    &-item{
      list-style: none;
      padding-left: 0px;

      &.bg-grey {
        li {
          font-family: 'GothamRounded-Book';

          &:first-child {
            font-family: 'GothamRounded-Medium';
          }
        }
      }
      a{
        color: $semi-black-nutri;
      }
      .hamburger-menu__item{
        padding:5px 0;
        text-align: center;
      }
      // customization with blue text color
      .blue-text{
        a{
          color: $bluesky-nutri;
        }
      }
      li {
        font-family: 'GothamRounded-Medium';
      }
    }
    // for hamburger-menu__lists-sub-item
    &-sub-item{
      list-style-type: none;
      .hamburger-menu__sub-item{
        padding:5px 0px 5px 0px;
        text-align: center;
      }
    }
} //end of hamburger menu profile css

// customization with grey background color 
.bg-grey{
  background: $older-grey;
}
// hamburger menu profile css section
.hamburger-menu__profile{
  padding-top: 15px;
  &-header{
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    // for .hamburger-menu__profile-text
    &-text{
      margin-left: 25px;
      h3{
        font-size: 20px;
        color: $semi-black-nutri;
        @include breakpoint (mobile){
          text-align: left !important;
          min-height: 60px;
          height: 60px;
          overflow: hidden;
          min-width: 152px;
        }
      }
      h4{
        font-size: 10px;
        color: $semi-black-nutri;
        text-align: left;
      }
    }
  }
  &-arrow{
    @include breakpoint (mobile){
      align-self: center;
    }
  }
}  // end of hamburger menu profile css

// search results css section 
.search__results{
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: block;
  z-index: 99;
  background: #fff;
  padding-top: 100px;
  // for .search__results-text
  &-text{
    color: $blue;
    margin-bottom: 0px !important;
  }
  // for .search__results-history
  &-history{
    // for .search__results-history-tag
    &-tag{
      margin-bottom: 10px;
    }
    p{
      color: $old-grey-nutri;
    }
    a{
      background: $old-grey-nutri;
      font-size: 11px;
      font-family: "GothamRounded-Book";
      color: #fff;
    }
    margin-bottom: 25px;
  }
  // for .search__results-populer
  &-populer{
    // for .search__results-populer-tag
    &-tag{
      margin-bottom: 15px;
    }
    a{
      background: $old-grey-nutri;
      font-size: 11px;
      font-family: "GothamRounded-Book";
      color: white;
    }
  }
  // for .search__results-text-btn-wrapper
  &-text-btn-wrapper{
    display: flex;
    justify-content: space-between;
    a{
      text-decoration: none;
    }
  }
  // for .search__results-lists
  &-lists{
    @include breakpoint (desktop){
      padding: 25px 25px;
    }
    list-style: none;
    padding-inline-start: 0px;
    background: #fff;
    padding: 5px 15px 15px 15px;
    border: solid $semi-black-nutri 1px;
    // for .search__results-lists-item
    &-item{
      @include breakpoint (desktop){
        padding: 0px;
      }
      text-decoration: none;
      padding: 5px 0px 0px 0px;
      a {
          color: $semi-black-nutri;
      }
      p{
          color: $old-grey-nutri;
          font-family: "GothamRounded-Medium";
          padding-top: 1vw;
          overflow: hidden;
          text-overflow: ellipsis;
          -webkit-line-clamp: 2;
          display: -webkit-box;
          -webkit-box-orient: vertical;
          white-space: normal;

          @include breakpoint (desktop){
              font-size: 14px;
          }

          @include breakpoint (mobile){
              font-size: 10px;
          }
      }
    }
  }
  // for .search__results-selected
  &-selected{
    background: $white-nutri;
  }
} // end of search results css


.logo-nutriclub {
    width: 120px;
    max-width: 120px;
}

.nav-link{
  min-width: 145px;
}

.delete-cookie{
  color: $bluesky-nutri;
  &:hover{
    color: $bluesky-nutri;
  }
}

.header__search {
  #submit {
    visibility: hidden;
  }
}

.pregnancy-today{
    justify-content: center;
    &-figure{
        padding: 0;
        text-align: right;
        padding: 0;
    }
    &-path{
        text-align: left;
        align-self: center;
        padding: 0;
    }
}